## gkl 0.8.10%2Bdfsg

=== CMakeLists.txt ===
project(GKL)
cmake_minimum_required(VERSION 2.8)

# add jni include path
find_package(Java 1.8 REQUIRED)
find_package(JNI)
include_directories(${JNI_INCLUDE_DIRS})

# common compiler and linker settings
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_FORTIFY_SOURCE=2 ")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 ")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wformat -Werror=format-security -Wconversion -Wfloat-conversion -Wbool-compare")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all ")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-strict-overflow -fno-delete-null-pointer-checks -fwrapv ")

set(CMAKE_POSITION_INDEPENDENT_CODE ON)
if(APPLE)
  set(CMAKE_SHARED_LINKER_FLAGS "-static-libstdc++")
elseif(UNIX)
  set(CMAKE_SHARED_LINKER_FLAGS "-static-libstdc++ -static-libgcc -Wl,-z,now")
endif()
set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS}")

# add CMakeLists.txt in subdirectories
set(NATIVE_DIR ${PROJECT_SOURCE_DIR}/src/main/native)

add_subdirectory("${NATIVE_DIR}/compression")
add_subdirectory("${NATIVE_DIR}/pairhmm")
add_subdirectory("${NATIVE_DIR}/utils")
add_subdirectory("${NATIVE_DIR}/smithwaterman")

=== debian/control ===
Source: gkl
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>,
           Pierre Gruet <pgt@debian.org>
Section: java
Priority: optional
Build-Depends: default-jdk,
               debhelper-compat (= 13),
               javahelper,
               gradle-debian-helper,
               maven-repo-helper,
               yasm,
               zlib1g-dev,
               testng,
               default-jdk-doc,
               libcommons-io-java,
               liblog4j2-java,
               libhtsjdk-java,
               libgatk-native-bindings-java,
               cmake
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/java-team/gkl
Vcs-Git: https://salsa.debian.org/java-team/gkl.git
Homepage: https://github.com/Intel-HLS/GKL
Rules-Requires-Root: no

Package: libgkl-java
Architecture: all
Depends: ${misc:Depends},
         ${maven:Depends},
         ${java:Depends},
         libgatk-native-bindings-java
Recommends: ${java:Recommends},
            libgkl-jni
Multi-Arch: foreign
Description: Java library to manipulate SAM and BAM files
 Java library with optimized versions of compute kernels used in genomics
 applications like GATK and HTSJDK.
 These kernels are optimized to run on Intel Architecture
 (AVX, AVX2, AVX-512, multicore, and FPGA) under 64-bit Linux.

Package: libgkl-jni
Architecture: amd64
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: native libraries of Java library to manipulate SAM and BAM files
 Java library with optimized versions of compute kernels used in genomics
 applications like GATK and HTSJDK.
 These kernels are optimized to run on Intel Architecture
 (AVX, AVX2, AVX-512, multicore, and FPGA) under 64-bit Linux.
 .
 This package contains the x86 native libraries used by libglk-java

## gkl 0.8.10+dfsg

=== debian/changelog ===
gkl (0.8.10+dfsg-3) unstable; urgency=medium

  * Having libgkl-java only recommend libgkl-jni

 -- Pierre Gruet <pgt@debian.org>  Fri, 30 Sep 2022 20:41:18 +0200

gkl (0.8.10+dfsg-2) unstable; urgency=medium

  * Allowing the autopkgtest to print to stderr, where informative messages
    are displayed

 -- Pierre Gruet <pgt@debian.org>  Sun, 25 Sep 2022 07:16:10 +0200

gkl (0.8.10+dfsg-1) unstable; urgency=medium

  * New upstream version 0.8.10+dfsg
  * Refreshing patches
  * Updating d/watch for the new Github layout
  * Raising Standards version to 4.6.1 (no change)
  * Loading native libraries from /usr/lib/jni instead of using bundled ones to
    enhance portability
  * Passing the path of the built .so files to the dh_auto_test override
  * Having the -java package depend on the -jni one
  * Removing an unused Lintian override

 -- Pierre Gruet <pgt@debian.org>  Fri, 23 Sep 2022 10:09:37 +0200

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, default-jdk, testng
Architecture: amd64
Restrictions: allow-stderr
# libgkl-jni cannot currently be built on non-amd64 arches.

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg$//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/gkl-$1.tar.gz/,uversionmangle=s/-rc/~rc/,repacksuffix=+dfsg,repack,compression=xz \
  https://github.com/Intel-HLS/GKL/tags (?:.*?/)?v?@ANY_VERSION@\.tar\.gz

## gkl 0.8.11%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: gkl
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Olivier Sallou <osallou@debian.org>,
            Pierre Gruet <pgt@debian.org>
 Section: java
@@ -18,7 +19,7 @@
                libhtsjdk-java,
                libgatk-native-bindings-java,
                cmake
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/java-team/gkl
 Vcs-Git: https://salsa.debian.org/java-team/gkl.git
 Homepage: https://github.com/Intel-HLS/GKL

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DH_OPTIONS

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie

include /usr/share/dpkg/default.mk

%:
	dh  $@ --buildsystem=gradle --with javahelper,jh_maven_repo_helper

override_dh_auto_clean:
	dh_auto_clean
	-rm debian/pom-gkl.xml

override_dh_auto_configure:
	# As we provide a Debian-made POM file, we have to update the version number
	# that is inside each time the upstream version changes. This is done
	# automatically with this tiny hack.
	sed 's/@VERSION@/$(DEB_VERSION_UPSTREAM)/ ; s/\+dfsg[[:digit:]]*//' debian/pom-gkl.xml.in > debian/pom-gkl.xml
	dh_auto_configure

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Tests do not work with locales with a different decimal separator
	# (for example ',')
	LC_ALL=C LD_LIBRARY_PATH="$${LD_LIBRARY_PATH}:$$(readlink -f build/native)" dh_auto_test
endif

## gkl 0.8.11+dfsg

=== src/main/native/smithwaterman/CMakeLists.txt ===
#---------------------------------------------------------------------
# common
#---------------------------------------------------------------------
if(NOT APPLE)
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-as-needed")
endif()
set_property(SOURCE avx2_impl.cc APPEND_STRING PROPERTY COMPILE_FLAGS " -mavx -mavx2 ")
set_property(SOURCE avx512_impl.cc APPEND_STRING PROPERTY COMPILE_FLAGS " -mavx -mavx2 -mavx512f -mavx512dq -mavx512vl -mavx512bw ")


#---------------------------------------------------------------------
# common includes
#---------------------------------------------------------------------
include_directories(../common)


#---------------------------------------------------------------------
# smithwaterman
#---------------------------------------------------------------------
set(TARGET gkl_smithwaterman)


add_library(${TARGET} SHARED
    IntelSmithWaterman.cc avx2_impl.cc avx512_impl.cc smithwaterman_common.cc)

install(TARGETS ${TARGET} DESTINATION ${CMAKE_BINARY_DIR})

=== debian/changelog ===
gkl (0.8.11+dfsg-2) unstable; urgency=medium

  * Fixing build with OpenJDK-21 (Closes: #1057502)

 -- Pierre Gruet <pgt@debian.org>  Thu, 14 Dec 2023 22:07:00 +0100

gkl (0.8.11+dfsg-1) unstable; urgency=medium

  * New upstream version 0.8.11+dfsg
  * Refreshing patches
  * Raising Standards version to 4.6.2 (no change)
  * Refreshing d/copyright contents
  * Refreshing the list of files to exclude in d/copyright
  * Changing build.gradle syntax to make it Debian-gradle-compliant
  * Removing signing and publishing stanzas from build.gradle
  * Making d/watch more legible
  * Set upstream metadata fields: Security-Contact.
  * Adding a Lintian override for the (modified) embedded zlib

 -- Pierre Gruet <pgt@debian.org>  Mon, 24 Jul 2023 00:04:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gkl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Olivier Sallou <osallou@debian.org>,
            Pierre Gruet <pgt@debian.org>
 Section: java

## gkl 0.9.1%2Bdfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,10 @@
 find_package(Java 1.8 REQUIRED)
 find_package(JNI)
 include_directories(${JNI_INCLUDE_DIRS})
+
+# Require C++11
+set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 # common compiler and linker settings
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_FORTIFY_SOURCE=2 ")
@@ -28,3 +32,4 @@
 add_subdirectory("${NATIVE_DIR}/pairhmm")
 add_subdirectory("${NATIVE_DIR}/utils")
 add_subdirectory("${NATIVE_DIR}/smithwaterman")
+add_subdirectory("${NATIVE_DIR}/pdhmm")

=== src/main/native/pairhmm/CMakeLists.txt ===
#---------------------------------------------------------------------
# common
#---------------------------------------------------------------------
if(NOT APPLE)
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-as-needed")
endif()
set_property(SOURCE avx_impl.cc APPEND_STRING PROPERTY COMPILE_FLAGS " -mavx ")
set_property(SOURCE avx512_impl.cc APPEND_STRING PROPERTY COMPILE_FLAGS " -mavx -mavx2 -mavx512f -mavx512dq -mavx512vl ")

#---------------------------------------------------------------------
# common includes
#---------------------------------------------------------------------
include_directories(../common)

#---------------------------------------------------------------------
# pairhmm
#---------------------------------------------------------------------
set(TARGET gkl_pairhmm)
add_library(${TARGET} SHARED IntelPairHmm.cc avx_impl.cc avx512_impl.cc pairhmm_common.cc)
install(TARGETS ${TARGET} DESTINATION ${CMAKE_BINARY_DIR})

#---------------------------------------------------------------------
# pairhmm_omp
#---------------------------------------------------------------------
find_package(OpenMP)

if(OPENMP_FOUND)
  set(TARGET gkl_pairhmm_omp)
  add_library(${TARGET} SHARED IntelPairHmm.cc avx_impl.cc avx512_impl.cc pairhmm_common.cc)
  set_target_properties(${TARGET} PROPERTIES COMPILE_OPTIONS ${OpenMP_CXX_FLAGS})
  target_link_libraries(${TARGET} ${OpenMP_CXX_FLAGS})
  install(TARGETS ${TARGET} DESTINATION ${CMAKE_BINARY_DIR})
endif()

## gkl 0.9.1+dfsg

=== src/main/native/compression/CMakeLists.txt ===


include(ExternalProject)

#---------------------------------------------------------------------
# otc_zlib
#---------------------------------------------------------------------
#add_subdirectory(otc_zlib EXCLUDE_FROM_ALL)
#add_subdirectory(zlib-1.2.8devn-jtkv5 EXCLUDE_FROM_ALL)

ExternalProject_Add(
   otc_zlibExternal
   URL ${CMAKE_CURRENT_SOURCE_DIR}/otc_zlib
   PATCH_COMMAND patch < ${CMAKE_CURRENT_SOURCE_DIR}/otc_zlib.patch
   CONFIGURE_COMMAND <SOURCE_DIR>/configure --static --prefix=<INSTALL_DIR>
   BUILD_COMMAND $(MAKE)
   INSTALL_COMMAND $(MAKE) install
)

add_library(zlibstatic STATIC IMPORTED GLOBAL)
set_target_properties(zlibstatic PROPERTIES IMPORTED_LOCATION
   ${CMAKE_CURRENT_BINARY_DIR}/otc_zlibExternal-prefix/lib/libz.a
)

#---------------------------------------------------------------------
# isa-l
#---------------------------------------------------------------------
if(APPLE)
   set(CONFIG_OPT "-target=darwin")
endif()


ExternalProject_Add(
   isalExternal
   URL ${CMAKE_CURRENT_SOURCE_DIR}/isa-l-master
   UPDATE_COMMAND <SOURCE_DIR>/autogen.sh
   CONFIGURE_COMMAND <SOURCE_DIR>/configure --prefix=<INSTALL_DIR> --with-pic=yes ${CONFIG_OPT}
   BUILD_COMMAND $(MAKE)
   INSTALL_COMMAND $(MAKE) install
)

add_library(isal STATIC IMPORTED GLOBAL)
set_target_properties(isal PROPERTIES IMPORTED_LOCATION
  ${CMAKE_CURRENT_BINARY_DIR}/isalExternal-prefix/lib/libisal.a
)


#---------------------------------------------------------------------
# gkl_compression
#---------------------------------------------------------------------
set(TARGET gkl_compression)

include_directories(isa-l-master/include)

add_library(${TARGET} SHARED 
  IntelDeflater.cc
  IntelInflater.cc
  )
add_dependencies(${TARGET} isalExternal otc_zlibExternal)
target_link_libraries(${TARGET} zlibstatic isal)
install(TARGETS ${TARGET} DESTINATION ${CMAKE_BINARY_DIR})

=== src/main/native/pdhmm/CMakeLists.txt ===
#---------------------------------------------------------------------
# common
#---------------------------------------------------------------------
if(NOT APPLE)
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-as-needed")
endif()
set_property(SOURCE MathUtils.cc APPEND_STRING PROPERTY COMPILE_FLAGS)
set_property(SOURCE pdhmm-serial.cc APPEND_STRING PROPERTY COMPILE_FLAGS)
set_property(SOURCE avx2_impl.cc APPEND_STRING PROPERTY COMPILE_FLAGS " -mavx -mavx2 -msse2 -msse4.1")
set_property(SOURCE avx512_impl.cc APPEND_STRING PROPERTY COMPILE_FLAGS " -mavx -mavx2 -mavx512f -mavx512dq -mavx512vl -mavx512bw")


#---------------------------------------------------------------------
# common includes
#---------------------------------------------------------------------
include_directories(../common)

find_package(OpenMP)

set(TARGET gkl_pdhmm)
add_library(${TARGET} SHARED IntelPDHMM.cc avx2_impl.cc avx512_impl.cc MathUtils.cc pdhmm-serial.cc)
if(OPENMP_FOUND)
  set_target_properties(${TARGET} PROPERTIES COMPILE_OPTIONS ${OpenMP_CXX_FLAGS})
  target_link_libraries(${TARGET} ${OpenMP_CXX_FLAGS})
endif()
install(TARGETS ${TARGET} DESTINATION ${CMAKE_BINARY_DIR})

=== src/main/native/utils/CMakeLists.txt ===
#---------------------------------------------------------------------
# utils
#---------------------------------------------------------------------
include_directories(../common)

find_package(OpenMP)

set(TARGET gkl_utils)
add_library(${TARGET} SHARED utils.cc)
if(OPENMP_FOUND)
  set_target_properties(${TARGET} PROPERTIES COMPILE_OPTIONS ${OpenMP_CXX_FLAGS})
  target_link_libraries(${TARGET} ${OpenMP_CXX_FLAGS})
endif()
install(TARGETS ${TARGET} DESTINATION ${CMAKE_BINARY_DIR})

=== src/main/native/compression/otc_zlib/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4.4)
set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS ON)

project(zlib C)

set(VERSION "1.2.13")

set(INSTALL_BIN_DIR "${CMAKE_INSTALL_PREFIX}/bin" CACHE PATH "Installation directory for executables")
set(INSTALL_LIB_DIR "${CMAKE_INSTALL_PREFIX}/lib" CACHE PATH "Installation directory for libraries")
set(INSTALL_INC_DIR "${CMAKE_INSTALL_PREFIX}/include" CACHE PATH "Installation directory for headers")
set(INSTALL_MAN_DIR "${CMAKE_INSTALL_PREFIX}/share/man" CACHE PATH "Installation directory for manual pages")
set(INSTALL_PKGCONFIG_DIR "${CMAKE_INSTALL_PREFIX}/share/pkgconfig" CACHE PATH "Installation directory for pkgconfig (.pc) files")

include(CheckTypeSize)
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckCSourceCompiles)
enable_testing()

check_include_file(sys/types.h HAVE_SYS_TYPES_H)
check_include_file(stdint.h    HAVE_STDINT_H)
check_include_file(stddef.h    HAVE_STDDEF_H)

#
# Check to see if we have large file support
#
set(CMAKE_REQUIRED_DEFINITIONS -D_LARGEFILE64_SOURCE=1)
# We add these other definitions here because CheckTypeSize.cmake
# in CMake 2.4.x does not automatically do so and we want
# compatibility with CMake 2.4.x.
if(HAVE_SYS_TYPES_H)
    list(APPEND CMAKE_REQUIRED_DEFINITIONS -DHAVE_SYS_TYPES_H)
endif()
if(HAVE_STDINT_H)
    list(APPEND CMAKE_REQUIRED_DEFINITIONS -DHAVE_STDINT_H)
endif()
if(HAVE_STDDEF_H)
    list(APPEND CMAKE_REQUIRED_DEFINITIONS -DHAVE_STDDEF_H)
endif()
check_type_size(off64_t OFF64_T)
if(HAVE_OFF64_T)
   add_definitions(-D_LARGEFILE64_SOURCE=1)
endif()
set(CMAKE_REQUIRED_DEFINITIONS) # clear variable

#
# Check for fseeko
#
check_function_exists(fseeko HAVE_FSEEKO)
if(NOT HAVE_FSEEKO)
    add_definitions(-DNO_FSEEKO)
endif()

#
# Check for unistd.h
#
check_include_file(unistd.h Z_HAVE_UNISTD_H)

if(MSVC)
    set(CMAKE_DEBUG_POSTFIX "d")
    add_definitions(-D_CRT_SECURE_NO_DEPRECATE)
    add_definitions(-D_CRT_NONSTDC_NO_DEPRECATE)
    include_directories(${CMAKE_CURRENT_SOURCE_DIR})
endif()

if(NOT CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_CURRENT_BINARY_DIR)
    # If we're doing an out of source build and the user has a zconf.h
    # in their source tree...
    if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/zconf.h)
        message(STATUS "Renaming")
        message(STATUS "    ${CMAKE_CURRENT_SOURCE_DIR}/zconf.h")
        message(STATUS "to 'zconf.h.included' because this file is included with zlib")
        message(STATUS "but CMake generates it automatically in the build directory.")
        file(RENAME ${CMAKE_CURRENT_SOURCE_DIR}/zconf.h ${CMAKE_CURRENT_SOURCE_DIR}/zconf.h.included)
  endif()
endif()

set(ZLIB_PC ${CMAKE_CURRENT_BINARY_DIR}/zlib.pc)
configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/zlib.pc.cmakein
		${ZLIB_PC} @ONLY)
configure_file(	${CMAKE_CURRENT_SOURCE_DIR}/zconf.h.cmakein
		${CMAKE_CURRENT_BINARY_DIR}/zconf.h @ONLY)
include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_SOURCE_DIR})


#============================================================================
# zlib
#============================================================================

set(ZLIB_PUBLIC_HDRS
    ${CMAKE_CURRENT_BINARY_DIR}/zconf.h
    zlib.h
)
set(ZLIB_PRIVATE_HDRS
    crc32.h
    deflate.h
    gzguts.h
    inffast.h
    inffixed.h
    inflate.h
    inftrees.h
    trees.h
    x86.h
    zutil.h
)
set(ZLIB_SRCS
    adler32.c
    compress.c
    crc32.c
    crc_folding.c
    deflate.c
    deflate_medium.c
    deflate_quick.c
    gzclose.c
    gzlib.c
    gzread.c
    gzwrite.c
    infback.c
    inffast.c
    inflate.c
    inftrees.c
    match.c
    slide_sse.c
    trees.c
    uncompr.c
    x86.c
    zutil.c
)

if (CMAKE_C_COMPILER_ID STREQUAL "GNU" OR CMAKE_C_COMPILER_ID STREQUAL "Clang")
    set_source_files_properties(crc_folding.c PROPERTIES COMPILE_OPTIONS "-mpclmul;-msse4")
    set_source_files_properties(slide_sse.c PROPERTIES COMPILE_OPTIONS -msse2)
    set_source_files_properties(deflate_quick.c PROPERTIES COMPILE_OPTIONS -msse4)
endif()

if(NOT MINGW)
    set(ZLIB_DLL_SRCS
        win32/zlib1.rc # If present will override custom build rule below.
    )
endif()

# parse the full version number from zlib.h and include in ZLIB_FULL_VERSION
file(READ ${CMAKE_CURRENT_SOURCE_DIR}/zlib.h _zlib_h_contents)
string(REGEX REPLACE ".*#define[ \t]+ZLIB_VERSION[ \t]+\"([-0-9A-Za-z.]+)\".*"
    "\\1" ZLIB_FULL_VERSION ${_zlib_h_contents})

if(MINGW)
    # This gets us DLL resource information when compiling on MinGW.
    if(NOT CMAKE_RC_COMPILER)
        set(CMAKE_RC_COMPILER windres.exe)
    endif()

    add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/zlib1rc.obj
                       COMMAND ${CMAKE_RC_COMPILER}
                            -D GCC_WINDRES
                            -I ${CMAKE_CURRENT_SOURCE_DIR}
                            -I ${CMAKE_CURRENT_BINARY_DIR}
                            -o ${CMAKE_CURRENT_BINARY_DIR}/zlib1rc.obj
                            -i ${CMAKE_CURRENT_SOURCE_DIR}/win32/zlib1.rc)
    set(ZLIB_DLL_SRCS ${CMAKE_CURRENT_BINARY_DIR}/zlib1rc.obj)
endif(MINGW)

add_library(zlib SHARED ${ZLIB_SRCS} ${ZLIB_DLL_SRCS} ${ZLIB_PUBLIC_HDRS} ${ZLIB_PRIVATE_HDRS})
add_library(zlibstatic STATIC ${ZLIB_SRCS} ${ZLIB_PUBLIC_HDRS} ${ZLIB_PRIVATE_HDRS})
set_target_properties(zlib PROPERTIES DEFINE_SYMBOL ZLIB_DLL)
set_target_properties(zlib PROPERTIES SOVERSION 1)

if(NOT CYGWIN)
    # This property causes shared libraries on Linux to have the full version
    # encoded into their final filename.  We disable this on Cygwin because
    # it causes cygz-${ZLIB_FULL_VERSION}.dll to be created when cygz.dll
    # seems to be the default.
    #
    # This has no effect with MSVC, on that platform the version info for
    # the DLL comes from the resource file win32/zlib1.rc
    set_target_properties(zlib PROPERTIES VERSION ${ZLIB_FULL_VERSION})
endif()

if(UNIX)
    # On unix-like platforms the library is almost always called libz
   set_target_properties(zlib zlibstatic PROPERTIES OUTPUT_NAME z)
   if(NOT APPLE)
     set_target_properties(zlib PROPERTIES LINK_FLAGS "-Wl,--version-script,\"${CMAKE_CURRENT_SOURCE_DIR}/zlib.map\"")
   endif()
elseif(BUILD_SHARED_LIBS AND WIN32)
    # Creates zlib1.dll when building shared library version
    set_target_properties(zlib PROPERTIES SUFFIX "1.dll")
endif()

if(NOT SKIP_INSTALL_LIBRARIES AND NOT SKIP_INSTALL_ALL )
    install(TARGETS zlib zlibstatic
        RUNTIME DESTINATION "${INSTALL_BIN_DIR}"
        ARCHIVE DESTINATION "${INSTALL_LIB_DIR}"
        LIBRARY DESTINATION "${INSTALL_LIB_DIR}" )
endif()
if(NOT SKIP_INSTALL_HEADERS AND NOT SKIP_INSTALL_ALL )
    install(FILES ${ZLIB_PUBLIC_HDRS} DESTINATION "${INSTALL_INC_DIR}")
endif()
if(NOT SKIP_INSTALL_FILES AND NOT SKIP_INSTALL_ALL )
    install(FILES zlib.3 DESTINATION "${INSTALL_MAN_DIR}/man3")
endif()
if(NOT SKIP_INSTALL_FILES AND NOT SKIP_INSTALL_ALL )
    install(FILES ${ZLIB_PC} DESTINATION "${INSTALL_PKGCONFIG_DIR}")
endif()

#============================================================================
# Example binaries
#============================================================================

add_executable(example test/example.c)
target_link_libraries(example zlib)
add_test(example example)

add_executable(minigzip test/minigzip.c)
target_link_libraries(minigzip zlib)

if(HAVE_OFF64_T)
    add_executable(example64 test/example.c)
    target_link_libraries(example64 zlib)
    set_target_properties(example64 PROPERTIES COMPILE_FLAGS "-D_FILE_OFFSET_BITS=64")
    add_test(example64 example64)

    add_executable(minigzip64 test/minigzip.c)
    target_link_libraries(minigzip64 zlib)
    set_target_properties(minigzip64 PROPERTIES COMPILE_FLAGS "-D_FILE_OFFSET_BITS=64")
endif()

=== debian/changelog ===
gkl (0.9.1+dfsg-3) unstable; urgency=medium

  * Team upload
  [ Vladimir Petko ]
  * d/p/fix_debian_build.patch: use Debian Java compatibility version
    to suppress System.loadLibrary() warning (Closes: #1108564).

  [ tony mancill ]
  * Bump Standards-Version to 4.7.3
  * Freshen years in debian/copyright
  * Update debian/watch to version 5

 -- tony mancill <tmancill@debian.org>  Sun, 22 Feb 2026 09:50:43 -0800

gkl (0.9.1+dfsg-2) unstable; urgency=medium

  * Raising CMake minimum version constraint (Closes: #1112955)

 -- Pierre Gruet <pgt@debian.org>  Sun, 28 Sep 2025 16:52:12 +0200

gkl (0.9.1+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.1+dfsg
  * Refreshing patches
  * Raising Standards version to 4.7.2 (no change)
  * Removing calls to empty doneNative method, which caused
    UnsatisfiedLinkError
  * Adding versioned B-D on libgatk-native-bindings-java
  * Adding correct versioned Recommends on libgkl-jni to handle binNMU

 -- Pierre Gruet <pgt@debian.org>  Sun, 31 Aug 2025 20:32:23 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Olivier Sallou <osallou@debian.org>,
            Pierre Gruet <pgt@debian.org>
 Section: java
-Priority: optional
 Build-Depends: default-jdk,
                debhelper-compat (= 13),
                javahelper,
@@ -16,22 +15,22 @@
                libcommons-io-java,
                liblog4j2-java,
                libhtsjdk-java,
-               libgatk-native-bindings-java,
+               libgatk-native-bindings-java (>= 1.1.0+dfsg),
                cmake
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/java-team/gkl
 Vcs-Git: https://salsa.debian.org/java-team/gkl.git
 Homepage: https://github.com/Intel-HLS/GKL
-Rules-Requires-Root: no
 
 Package: libgkl-java
 Architecture: all
 Depends: ${misc:Depends},
          ${maven:Depends},
          ${java:Depends},
-         libgatk-native-bindings-java
+         libgatk-native-bindings-java (>= 1.1.0+dfsg),
 Recommends: ${java:Recommends},
-            libgkl-jni
+            libgkl-jni (>= ${source:Version}),
+            libgkl-jni (<< ${source:Version}.1~)
 Multi-Arch: foreign
 Description: Java library to manipulate SAM and BAM files
  Java library with optimized versions of compute kernels used in genomics

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
 
 include /usr/share/dpkg/default.mk
+include /usr/share/java/java_defaults.mk
+
+export ORG_GRADLE_PROJECT_debianJavaCompatVersion=$(java_compat_level)
 
 %:
 	dh  $@ --buildsystem=gradle --with javahelper,jh_maven_repo_helper

=== debian/watch ===
Version: 5

Template: Github
Compression: xz
Dversionmangle: auto
Owner: Intel-HLS
Project: GKL
Repack: yes
Repacksuffix: +dfsg
Uversionmangle: s/-rc/~rc/
